MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
EventPipe Class Reference

A pipe that can be used to trigger an event to the read side. More...

`#include <EventPipe.hxx>`

## Public Member Functions
| EventPipe ()
| ~EventPipe ()
| EventPipe (const EventPipe &other)=delete
EventPipe & | operator= (const EventPipe &other)=delete
int | Get () const
bool | Read ()
| Checks if Write() was called at least once since the last Read() call. More...
void | Write ()
| Wakes up the reader. More...

## Detailed Description

A pipe that can be used to trigger an event to the read side.

Errors in the constructor are fatal.

Definition at line 30 of file EventPipe.hxx.

## Constructor & Destructor Documentation

EventPipe::EventPipe | ( |  | ) |

EventPipe::~EventPipe | ( |  | ) |

EventPipe::EventPipe | ( | const EventPipe & | other | ) |
| delete

## Member Function Documentation

int EventPipe::Get | ( |  | ) | const
| inline

Definition at line 40 of file EventPipe.hxx.

EventPipe& EventPipe::operator= | ( | const EventPipe & | other | ) |
| delete

bool EventPipe::Read | ( |  | ) |

Checks if Write() was called at least once since the last Read() call.

void EventPipe::Write | ( |  | ) |

Wakes up the reader.

Multiple calls to this function will be combined to one wakeup.

The documentation for this class was generated from the following file:

- system/EventPipe.hxx